Package com.xebialabs.xlrelease.builder

## Class ConfigurationBuilder

- java.lang.Object
- - com.xebialabs.xlrelease.builder.ConfigurationBuilder

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Equals`, `scala.Product`

      public class ConfigurationBuilder
      extends java.lang.Object
      implements scala.Product, java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationBuilder​(Type configType, java.lang.String id, java.lang.String title, java.lang.String folderId, scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties, scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `$lessinit$greater$default$2()` |
    `static java.lang.String` | `$lessinit$greater$default$3()` |
    `static java.lang.String` | `$lessinit$greater$default$4()` |
    `static scala.collection.immutable.Map<java.lang.String,​java.lang.Object>` | `$lessinit$greater$default$5()` |
    `static scala.collection.immutable.Map<java.lang.String,​java.lang.String>` | `$lessinit$greater$default$6()` |
    `static ConfigurationBuilder` | `apply​(Type configType, java.lang.String id, java.lang.String title, java.lang.String folderId, scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties, scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping)` |
    `static java.lang.String` | `apply$default$2()` |
    `static java.lang.String` | `apply$default$3()` |
    `static java.lang.String` | `apply$default$4()` |
    `static scala.collection.immutable.Map<java.lang.String,​java.lang.Object>` | `apply$default$5()` |
    `static scala.collection.immutable.Map<java.lang.String,​java.lang.String>` | `apply$default$6()` |
    `<T extends Configuration> T` | `build()` |
    `boolean` | `canEqual​(java.lang.Object x$1)` |
    `Type` | `configType()` |
    `ConfigurationBuilder` | `copy​(Type configType, java.lang.String id, java.lang.String title, java.lang.String folderId, scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties, scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping)` |
    `Type` | `copy$default$1()` |
    `java.lang.String` | `copy$default$2()` |
    `java.lang.String` | `copy$default$3()` |
    `java.lang.String` | `copy$default$4()` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.Object>` | `copy$default$5()` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.String>` | `copy$default$6()` |
    `boolean` | `equals​(java.lang.Object x$1)` |
    `java.lang.String` | `folderId()` |
    `int` | `hashCode()` |
    `java.lang.String` | `id()` |
    `static ConfigurationBuilder` | `newConfiguration​(java.lang.String configType)` |
    `int` | `productArity()` |
    `java.lang.Object` | `productElement​(int x$1)` |
    `java.lang.String` | `productElementName​(int x$1)` |
    `scala.collection.Iterator<java.lang.Object>` | `productIterator()` |
    `java.lang.String` | `productPrefix()` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.Object>` | `properties()` |
    `java.lang.String` | `title()` |
    `java.lang.String` | `toString()` |
    `static scala.Option<scala.Tuple6<Type,​java.lang.String,​java.lang.String,​java.lang.String,​scala.collection.immutable.Map<java.lang.String,​java.lang.Object>,​scala.collection.immutable.Map<java.lang.String,​java.lang.String>>>` | `unapply​(ConfigurationBuilder x$0)` |
    `scala.collection.immutable.Map<java.lang.String,​java.lang.String>` | `variableMapping()` |
    `ConfigurationBuilder` | `withFolder​(Folder folder)` |
    `ConfigurationBuilder` | `withFolderId​(java.lang.String folderId)` |
    `ConfigurationBuilder` | `withId​(java.lang.String id)` |
    `ConfigurationBuilder` | `withProperty​(java.lang.String propertyName, java.lang.Object propertyValue)` |
    `ConfigurationBuilder` | `withTitle​(java.lang.String title)` |
    `ConfigurationBuilder` | `withVariableMapping​(scala.collection.immutable.Map<java.lang.String,​java.lang.String> map)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Product

      `productElementNames`

- - ### Constructor Detail

    - #### ConfigurationBuilder

          public ConfigurationBuilder​(Type configType,
                                      java.lang.String id,
                                      java.lang.String title,
                                      java.lang.String folderId,
                                      scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties,
                                      scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping)

  - ### Method Detail

    - #### $lessinit$greater$default$2

          public static java.lang.String $lessinit$greater$default$2()

    - #### $lessinit$greater$default$3

          public static java.lang.String $lessinit$greater$default$3()

    - #### $lessinit$greater$default$4

          public static java.lang.String $lessinit$greater$default$4()

    - #### $lessinit$greater$default$5

          public static scala.collection.immutable.Map<java.lang.String,​java.lang.Object> $lessinit$greater$default$5()

    - #### $lessinit$greater$default$6

          public static scala.collection.immutable.Map<java.lang.String,​java.lang.String> $lessinit$greater$default$6()

    - #### newConfiguration

          public static ConfigurationBuilder newConfiguration​(java.lang.String configType)

    - #### apply

          public static ConfigurationBuilder apply​(Type configType,
                                                   java.lang.String id,
                                                   java.lang.String title,
                                                   java.lang.String folderId,
                                                   scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties,
                                                   scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping)

    - #### apply$default$2

          public static java.lang.String apply$default$2()

    - #### apply$default$3

          public static java.lang.String apply$default$3()

    - #### apply$default$4

          public static java.lang.String apply$default$4()

    - #### apply$default$5

          public static scala.collection.immutable.Map<java.lang.String,​java.lang.Object> apply$default$5()

    - #### apply$default$6

          public static scala.collection.immutable.Map<java.lang.String,​java.lang.String> apply$default$6()

    - #### unapply

          public static scala.Option<scala.Tuple6<Type,​java.lang.String,​java.lang.String,​java.lang.String,​scala.collection.immutable.Map<java.lang.String,​java.lang.Object>,​scala.collection.immutable.Map<java.lang.String,​java.lang.String>>> unapply​(ConfigurationBuilder x$0)

    - #### configType

          public Type configType()

    - #### id

          public java.lang.String id()

    - #### title

          public java.lang.String title()

    - #### folderId

          public java.lang.String folderId()

    - #### properties

          public scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties()

    - #### variableMapping

          public scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping()

    - #### withId

          public ConfigurationBuilder withId​(java.lang.String id)

    - #### withTitle

          public ConfigurationBuilder withTitle​(java.lang.String title)

    - #### withFolder

          public ConfigurationBuilder withFolder​(Folder folder)

    - #### withFolderId

          public ConfigurationBuilder withFolderId​(java.lang.String folderId)

    - #### withProperty

          public ConfigurationBuilder withProperty​(java.lang.String propertyName,
                                                   java.lang.Object propertyValue)

    - #### withVariableMapping

          public ConfigurationBuilder withVariableMapping​(scala.collection.immutable.Map<java.lang.String,​java.lang.String> map)

    - #### build

          public <T extends Configuration> T build()

    - #### copy

          public ConfigurationBuilder copy​(Type configType,
                                           java.lang.String id,
                                           java.lang.String title,
                                           java.lang.String folderId,
                                           scala.collection.immutable.Map<java.lang.String,​java.lang.Object> properties,
                                           scala.collection.immutable.Map<java.lang.String,​java.lang.String> variableMapping)

    - #### copy$default$1

          public Type copy$default$1()

    - #### copy$default$2

          public java.lang.String copy$default$2()

    - #### copy$default$3

          public java.lang.String copy$default$3()

    - #### copy$default$4

          public java.lang.String copy$default$4()

    - #### copy$default$5

          public scala.collection.immutable.Map<java.lang.String,​java.lang.Object> copy$default$5()

    - #### copy$default$6

          public scala.collection.immutable.Map<java.lang.String,​java.lang.String> copy$default$6()

    - #### productPrefix

          public java.lang.String productPrefix()

      Specified by:
        `productPrefix` in interface `scala.Product`

    - #### productArity

          public int productArity()

      Specified by:
        `productArity` in interface `scala.Product`

    - #### productElement

          public java.lang.Object productElement​(int x$1)

      Specified by:
        `productElement` in interface `scala.Product`

    - #### productIterator

          public scala.collection.Iterator<java.lang.Object> productIterator()

      Specified by:
        `productIterator` in interface `scala.Product`

    - #### canEqual

          public boolean canEqual​(java.lang.Object x$1)

      Specified by:
        `canEqual` in interface `scala.Equals`

    - #### productElementName

          public java.lang.String productElementName​(int x$1)

      Specified by:
        `productElementName` in interface `scala.Product`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object x$1)

      Specified by:
        `equals` in interface `scala.Equals`
      Overrides:
        `equals` in class `java.lang.Object`